Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.fb.constants

# Class BpbItems

java.lang.Object
org.firebirdsql.jaybird.fb.constants.BpbItems

public final class BpbItems extends Object
Constants for BPB (blob parameter buffer) items.

Since:
  5
Author:
  Mark Rotteveel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`BpbItems.TypeValues`
Constants for values of `isc_bpb_type`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`isc_bpb_filter_parameter`
`static final int`
`isc_bpb_source_interp`
`static final int`
`isc_bpb_source_type`
`static final int`
`isc_bpb_target_interp`
`static final int`
`isc_bpb_target_type`
`static final int`
`isc_bpb_type`
`static final int`
`isc_bpb_version1`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### isc_bpb_version1

public static final int isc_bpb_version1

See Also:
  - Constant Field Values

### isc_bpb_source_type

public static final int isc_bpb_source_type

See Also:
  - Constant Field Values

### isc_bpb_target_type

public static final int isc_bpb_target_type

See Also:
  - Constant Field Values

### isc_bpb_type

public static final int isc_bpb_type

See Also:
  - Constant Field Values

### isc_bpb_source_interp

public static final int isc_bpb_source_interp

See Also:
  - Constant Field Values

### isc_bpb_target_interp

public static final int isc_bpb_target_interp

See Also:
  - Constant Field Values

### isc_bpb_filter_parameter

public static final int isc_bpb_filter_parameter

See Also:
  - Constant Field Values